:root {
  --theme-deafult: #006666;
}

.page-wrapper.compact-wrapper
  .page-body-wrapper
  div.sidebar-wrapper
  .sidebar-main
  .sidebar-list
  i.fa-thumb-tack {
  background-color: var(--theme-deafult);
}
/* width */
::-webkit-scrollbar {
  width: 6px;
  height: 6px;
}
:root {
  --bs-border-color: #909294;
  --bs-border-radius: 0.25rem !important;
}
/* Track */
::-webkit-scrollbar-track {
  /* box-shadow: inset 0 0 5px grey; */
  border-radius: 3px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #1e3a00;
  border-radius: 3px;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

.simplebar-content > li a svg {
  fill: #fff0 !important;
  color: #fff !important;
}

.logo-wrapper .logo-wrapper-title {
  color: #fff;
  margin: auto 0;
}
.logo-wrapper .img-fluid {
  width: 80%;
  margin-top: 8%;
}
@media only screen and (max-width: 991.98px) {
  .logo-wrapper .img-fluid {
    width: 80%;
    margin-top: 5%;
  }
}
.logo-icon-wrapper .img-fluid {
  width: 56px !important;
  margin-top: 8%;
}
.horizontal-wrapper .logo-wrapper .img-fluid {
  width: 56px !important;
  margin-top: 8%;
}

.page-wrapper.compact-wrapper
  .page-body-wrapper
  div.sidebar-wrapper
  .logo-wrapper,
.page-wrapper.compact-wrapper
  .page-body-wrapper
  div.sidebar-wrapper
  .logo-icon-wrapper {
  padding: 10px 15px;
}

.header_icon {
  background-color: #fff;
  padding: 12px !important;
  border-radius: 40px;
}
body.dark-only .header_icon {
  background-color: #22242b !important;
}

.page-wrapper.compact-wrapper .page-header .header-wrapper::before {
  display: none !important;
}

.form-group.form-submit {
  text-align: right;
  padding-top: 0.5rem !important;
}

.dataTables_wrapper .dataTables_info,
.dataTables_wrapper .dataTables_paginate {
  margin: 10px 10px 0 10px !important;
  padding: 0px !important;
}
.dataTables_wrapper .dataTables_filter,
.dataTables_wrapper .dataTables_length {
  margin: 0 10px 10px 10px !important;
  padding: 0px !important;
}
.dataTables_wrapper .dataTables_length label {
  margin-left: 10px !important;
}

.card .card-header {
  padding: 10px !important;
}

.badge-Active,
.btn-Active,
.btn-success {
  border-color: #51bb25 !important;
  background-color: #51bb25 !important;
  color: white;
}

.badge-Inactive,
.btn-Inactive,
.badge-Blocked,
.btn-Blocked {
  border-color: #292f36 !important;
  background-color: #292f36 !important;
  color: white;
}
.btn-info {
  border-color: #6f73d2 !important;
  background-color: #6f73d2 !important;
  color: white;
}
.btn-secondary {
  border-color: #257922 !important;
  background-color: #4f934d !important;
  color: white;
}

.btn-Paused,
.btn-primary {
  border-color: #0e4d7c !important;
  background-color: #105080 !important;
  color: white;
}
.btn-Upcoming {
  border-color: #fc00ff !important;
  background-color: #fc00ff !important;
  color: white;
}
.btn-Completed {
  border-color: #54ef66 !important;
  background-color: #54ef66 !important;
  color: white;
}
.dataTables_wrapper .btn-group button {
  margin-right: 0px;
}

.allow_select tr,
.allow_multi_select tr {
  cursor: pointer;
}

.allow_select tr.selected .form-control,
.allow_select tr.selected td a,
.allow_select tr.selected td,
.allow_select tr.selected,
.allow_multi_select tr.selected .form-control,
.allow_multi_select tr.selected td a,
.allow_multi_select tr.selected td,
.allow_multi_select tr.selected {
  background-color: var(--theme-deafult) !important;
  color: #fff !important;
}
.loader-wrapper1 {
  display: none;
  height: 100%;
  width: 100%;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  position: fixed;
  background-color: #fff;
  z-index: 99999999999999999999999999999;
  top: 0;
}
.loader-wrapper1 .loader4 {
  position: relative;
  color: var(--theme-deafult);
  font-size: 50px;
  text-indent: -9999em;
  width: 1em;
  height: 1em;
  border-radius: 50%;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation:
    loader4 1.7s infinite ease,
    loader4Round 1.7s infinite ease;
  animation:
    loader4 1.7s infinite ease,
    loader4Round 1.7s infinite ease;
  overflow: hidden;
}
.card .card-body {
  padding: 10px;
}

.row {
  --bs-gutter-x: 0.5rem !important;
}
.card {
  margin-bottom: 0.5rem !important;
}

.page-wrapper.horizontal-wrapper .page-body-wrapper .page-body {
  margin-top: 135px;
}
.page-wrapper .page-body-wrapper .page-body {
  min-height: calc(100vh - 119px) !important;
  padding: 15px 00;
  position: relative;
  margin-top: 65px !important;
  -webkit-transition: 0.5s;
  transition: 0.5s;
}
.badge {
  margin: 0;
  font-weight: bold;
  padding: 5px;
  text-align: center;
}

.bg-danger-light {
  background-color: rgba(var(--bs-danger-rgb), 0.3) !important;
}
.bg-warning-light {
  background-color: rgba(var(--bs-warning-rgb), 0.3) !important;
}
.bg-success-light {
  background-color: rgba(var(--bs-success-rgb), 0.3) !important;
}
.bg-info-light {
  background-color: rgba(var(--bs-info-rgb), 0.3) !important;
}

.dtsp-titleRow {
  display: none;
}

div.dtsp-columns-4,
div.dtsp-columns-3 {
  margin: 0px !important;
  background-color: var(--theme-deafult);
}

div.dtsp-panesContainer
  div.dtsp-searchPanes
  div.dtsp-searchPane
  div.dtsp-topRow
  div.dtsp-searchCont
  input.dtsp-search {
  border: none;
  margin: 0;
  padding: 3px;
}

div.dtsp-topRow div.dtsp-subRow1 div.dtsp-searchCont {
  position: relative;
  width: 100%;
  padding: 3px;
}
div.dtsp-panesContainer
  div.dtsp-searchPanes
  div.dtsp-searchPane
  div.dtsp-topRow
  div.dtsp-searchCont
  input.dtsp-search {
  border: none;
  margin: 0;
  padding: 10px 5px;
  border: 2px solid white;
  border-radius: 3px;
  background-color: #f0f0f0;
}
.group-row {
  border-top: 4px solid #333; /* Thick top border */
  border-bottom: 4px solid #333; /* Thick bottom border */
  background-color: #f8f9fa; /* Optional: Highlight group row */
}

.dataTables_wrapper .row:nth-child(2) {
  overflow-x: auto !important;
}
.dataTables_wrapper .table {
  overflow-x: scroll !important;
  /* max-width: fit-content !important; */
}
.dataTables_wrapper .dataTables_length {
  margin-bottom: 0;
}
.dataTables_wrapper .dataTables_filter {
  margin-bottom: 5px;
}
tr.selected {
  background-color: #3f454b !important;
  color: white !important;
}
div.dtsp-searchPane div.dataTables_scrollBody {
  height: 118px !important;
}
div.dtsp-panesContainer
  div.dataTables_wrapper
  div.dataTables_scrollBody
  div.dtsp-nameCont
  span.dtsp-pill {
  width: 70px;
  min-width: 60px;
}
.dtsp-titleRow {
  display: none;
}
.dataTables_length {
  width: 50%;
  float: left;
  display: contents;
}
.dataTables_filter {
  width: 50%;
  float: right;
}
.list-table-hover tr:hover td {
  background-color: #7d66ff4d !important;
  cursor: pointer;
}
.dataTable td,
.table td {
  font-size: 13px !important;
  padding: 3px 6px !important;
}

.table {
  border-left: 1px solid #dee2e6 !important;
  border-right: 1px solid #dee2e6 !important;
}

.dtfh-floatingparent::-webkit-scrollbar {
  height: 0px;
}

.dataTables_scrollHeadInner {
  margin-left: 0px;
  width: 100% !important;
  position: fixed;
  display: block;
  overflow: hidden;
  margin-right: 30px;
  background: white;
  z-index: 1000;
}

.dataTables_scrollBody {
  padding-top: 60px;
}
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:before,
table.dataTable .sorting:before,
table.dataTable .sorting:after {
  display: none !important;
}
table.dataTable thead > tr > th.sorting_asc,
table.dataTable thead > tr > th.sorting_desc,
table.dataTable thead > tr > th.sorting,
table.dataTable thead > tr > td.sorting_asc,
table.dataTable thead > tr > td.sorting_desc,
table.dataTable thead > tr > td.sorting {
  padding-right: 0.75rem;
}
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_asc:before {
  right: 0.1rem !important;
}
.table tr {
  vertical-align: middle;
}
.table th {
  padding-left: 6px !important;
}
.dtsp-searchPane .dataTables_scrollBody {
  padding-top: 0px;
}
.dataTable {
  display: table !important;
}

.table-bordered td,
.table-bordered th {
  border-color: #9ea6d1 !important;
}
/* .dataTables_length label,
.dataTables_filter label {
  max-width: 150px;
} */

.dataTables_wrapper table.dataTable {
  border: none !important;
}

.form-control {
  padding: 0.175rem 0.275rem !important;
}

.input-group
  > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(
    .valid-feedback
  ):not(.invalid-tooltip):not(.invalid-feedback) {
  border-top-left-radius: 0px !important;
  border-bottom-left-radius: 0px !important;
}
.select2-container .select2-selection--single,
.select2-drpdwn .select2-selection {
  height: 32px !important;
}
.select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  line-height: 20px !important;
}
.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  height: 20px !important;
}
.select2-results__option {
  padding: 2px 6px;
}
.select2-primary-fill .select2-selection__rendered,
.select2-primary-fill .select2-selection {
  background-color: var(--theme-deafult);
  color: #fff !important;
}

.select2-primary-fill .select2-selection__arrow b {
  border-color: #fff transparent transparent transparent !important;
}

.select2-container .select2-selection--single {
  border-radius: 0.25rem !important;
  border-color: #efefef;
  padding: 5px;
}
.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  top: 7px !important;
  right: 10px !important;
}

.was-validated
  select.select2:invalid
  + .select2.select2-container.select2-container--default
  span.select2-selection,
select.select2.is-invalid
  + .select2.select2-container.select2-container--default
  span.select2-selection {
  border-color: #dc3545 !important;
  padding-right: calc(1.5em + 0.75rem);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}
.was-validated
  select.select2:invalid
  + .select2.select2-container.select2-container--default
  .select2-selection__arrow,
select.select2.is-invalid
  + .select2.select2-container.select2-container--default
  .select2-selection__arrow {
  right: 25px !important;
}
.was-validated
  select.select2:valid
  + .select2.select2-container.select2-container--default
  span.select2-selection,
select.select2.is-valid
  + .select2.select2-container.select2-container--default
  span.select2-selection {
  border-color: #198754 !important;
  padding-right: calc(1.5em + 0.75rem);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23198754' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}
.was-validated
  select.select2:valid
  + .select2.select2-container.select2-container--default
  .select2-selection__arrow,
select.select2.is-valid
  + .select2.select2-container.select2-container--default
  .select2-selection__arrow {
  right: 25px !important;
}

.input-group-text {
  line-height: 0.9;
}

#levelMemberTable th:nth-child(2),
#levelMemberTable td:nth-child(2) {
  text-align: right !important;
}
#levelMemberTable th {
  font-weight: bold;
}

.text-primary {
  color: var(--theme-deafult) !important;
}

.columns-2 {
  -webkit-column-count: 2 !important;
  -moz-column-count: 2 !important;
  column-count: 2 !important;
}
.bg-facebook {
  background-color: #1877f2;
  color: white;
}
.bg-facebook:hover {
  color: white;
  background-color: #145dbf;
}

.bg-twitter {
  background-color: #1da1f2;
  color: white;
}
.bg-twitter:hover {
  color: white;
  background-color: #0d95e8;
}

.bg-whatsapp {
  background-color: #25d366;
  color: white;
}
.bg-whatsapp:hover {
  color: white;
  background-color: #1da851;
}

.bg-pinterest {
  background-color: #e60023;
  color: white;
}
.bg-pinterest:hover {
  color: white;
  background-color: #b8001b;
}

.bg-email {
  background-color: #7f7f7f;
  color: white;
}
.bg-email:hover {
  color: white;
  background-color: #5e5e5e;
}

.bg-telegram {
  background-color: #0088cc;
  color: white;
}
.bg-telegram:hover {
  color: white;
  background-color: #006b9e;
}

.bg-skype {
  background-color: #00aff0;
  color: white;
}
.bg-skype:hover {
  color: white;
  background-color: #008ecf;
}

.bg-wechat {
  background-color: #7bb32e;
  color: white;
}
.bg-wechat:hover {
  color: white;
  background-color: #5e9021;
}

.bg-messenger {
  background-color: #0084ff;
  color: white;
}
.bg-messenger:hover {
  color: white;
  background-color: #006fde;
}

.bg-sms {
  background-color: #34b7f1;
  color: white;
}
.bg-sms:hover {
  color: white;
  background-color: #199edd;
}

.btn-sm {
  padding: 0.12rem 0.25rem !important;
}
.statLink {
  cursor: pointer;
  font-size: 20px;
  color: black;
}

.card.small-widget:hover {
  cursor: pointer;
}
.card.small-widget {
  border-radius: 5px;
}
.card.small-widget .card-body {
  padding: 6px;
}

.card.small-widget a,
.card.small-widget h4 {
  font-size: 16px;
}

.card.small-widget:hover a,
.card.small-widget:hover h4 {
  color: white !important;
}

.card.small-widget:hover .card-body.border-b-warning {
  background-color: #ffae1a;
}
.card.small-widget:hover .card-body.border-b-success {
  background-color: #00ac46;
}
.card.small-widget:hover .card-body.border-b-info {
  background-color: #173878;
}
.card.small-widget:hover .card-body.border-b-danger {
  background-color: #fe6a49;
}
.pulse-box {
  border-radius: 8px; /* keep square look but slightly soft edges */
  animation: heartbeat 1.2s ease-in-out infinite;
  transform-origin: center;
}

@keyframes heartbeat {
  0% {
    transform: scale(1);
  }
  20% {
    transform: scale(0.85);
  } /* small dip */
  40% {
    transform: scale(1);
  } /* return */
  55% {
    transform: scale(0.9);
  } /* second smaller dip */
  100% {
    transform: scale(1);
  }
}

.th-center th {
  text-align: center !important;
}

.dataTables_processing {
  position: fixed !important;
  top: 50% !important;
  left: 50% !important;
  transform: translate(-50%, -50%) !important;

  background: color-mix(
    in srgb,
    var(--theme-deafult) 85%,
    transparent
  ) !important;
  color: #fff !important;
  padding: 20px 35px !important;
  font-size: 18px !important;
  font-weight: bold !important;

  border-radius: 10px !important;
  box-shadow: color-mix(
    in srgb,
    var(--theme-deafult) 50%,
    transparent
  ) !important;

  z-index: 99999 !important;
  text-align: center !important;
  height: 85px !important;
}

/* Spinner without flexbox */
.dataTables_processing:before {
  content: "";
  display: inline-block;
  margin-right: 10px;

  width: 18px;
  height: 18px;
  border: 3px solid #fff;
  border-top-color: transparent;
  border-radius: 50%;
  animation: dt-spin 0.8s linear infinite;
  vertical-align: middle;
}

/* Keep the text aligned correctly */
.dataTables_processing span {
  vertical-align: middle;
}

@keyframes dt-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

tr.group-hover {
  background-color: #f5f5f5 !important;
}

.dataTables_wrapper button {
  background: var(--theme-deafult);
}

.swal2-announcement-container .swal2-popup {
  padding: 0px !important;
  background: transparent !important;
}

.swal2-announcement-container .swal2-image {
  margin: 0px !important;
  border-radius: 0.3125em !important;
}
.swal2-announcement-container .swal2-popup .swal2-actions {
  margin: 0.25em auto 0 !important;
}

/* Dark premium frame */
.bonanza-shell {
  background: linear-gradient(180deg, #064e3b, #0f766e);
  padding: 14px;
  border-radius: 14px;
  box-shadow: 0 25px 60px rgba(0, 0, 0, 0.35);
}

/* Light inner surface */
.bonanza-card-inner {
  background: #f8fafc;
  border-radius: 10px;
  padding: 10px;
}

/* Title */
.bonanza-title {
  text-align: center;
  font-size: 18px;
  font-weight: 700;
  margin-bottom: 10px;
  color: #064e3b;
}

/* PV cards */
.pv-panel {
  background: #ffffff;
  border-radius: 10px;
  padding: 10px;
  margin-bottom: 10px;
  box-shadow: 0 6px 16px rgba(0, 0, 0, 0.12);
}

/* PV headers */
.pv-header {
  font-size: 15px;
  font-weight: 700;
  color: #065f46;
  margin-bottom: 4px;
}

/* Meta */
.pv-meta {
  font-size: 14px;
  margin-bottom: 8px;
  color: #444;
}

/* Progress */
.lg-progress-bar {
  height: 10px;
  background: #e5e7eb;
}

/* Footer */
.bonanza-footer {
  text-align: center;
}

.footer-text {
  font-size: 14px;
  color: #555;
}

.footer-amount {
  font-size: 20px;
  font-weight: 800;
  color: #16a34a;
}

.footer-deadline {
  font-size: 14px;
  color: #065f46;
}

.comingsoon {
  max-width: 100vw;
}
.comingsoon .comingsoon-inner .countdown ul {
  display: flex;
  justify-content: center; /* center horizontally */
  align-items: center;
  gap: 5px; /* equal spacing */
  padding: 0;
  margin: 0;
  list-style: none;
}

.comingsoon .comingsoon-inner .countdown ul li .title {
  min-width: 60px; /* fixed width */
}

.comingsoon .comingsoon-inner h5 {
  color: #002c11;
}
.comingsoon .row {
  padding: 20px 0;
  height: 100%;
  background: #ffffff6e;
}
.comingsoon .main-sponsors img {
  max-width: 100px;
  height: auto !important;
  object-fit: contain;
}

.comingsoon .main-sponsors {
  display: flex;
  justify-content: space-between;
}

.comingsoon .comingsoon-inner .countdown .time {
  background: #002c11;
}
.btn-register {
  background-color: #002c11;
  font-family: "Be Vietnam Pro", sans-serif;
  fill: white;
  color: white;
  border-style: solid;
  border-width: 2px 2px 2px 2px;
  padding: 16px 32px 16px 32px;
  letter-spacing: 0.4px;
  font-size: 13px;
  font-style: normal;
  border-radius: 0px 0px 0px 0px;
  font-weight: 800;
}

.btn-register:hover {
  background-color: #ffffff00;
  color: #002c11;
  border-color: #002c11;
  border-radius: 0px 0px 0px 0px;
  transition: all 0.3s;
}
div.dataTables_wrapper div.dataTables_filter input {
  display: inline-block !important;
  width: 20% !important;
}

/* ================= OVERLAY ================= */

.stepform-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.stepform-container {
  width: 1000px;
  height: 650px;
  background: #fff;
  border-radius: 12px;
  display: flex;
  overflow: hidden;
  font-family: "Amelia Roboto", sans-serif !important;
}

/* ================= SIDEBAR ================= */

.stepform-sidebar {
  width: 260px;
  background: #1f2c5c;
  color: #fff;
  padding: 20px 15px;
  transition: 0.3s;
}

.stepform-steps {
  list-style: none;
  padding: 0;
  margin: 0;
}

.stepform-steps li {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 12px;
  border-radius: 10px;
  margin-bottom: 12px;
  background: rgba(255, 255, 255, 0.05);
  transition: 0.3s;
}

.stepform-steps li.active {
  background: #2e4cff;
}
.stepform-steps li.completed {
  background: #26336d;
}

.stepform-step-left {
  display: flex;
  align-items: center;
  gap: 12px;
}

.stepform-step-left i {
  width: 22px;
  text-align: center;
}

.stepform-step-text {
  display: flex;
  flex-direction: column;
}

.stepform-step-summary {
  font-size: 11px;
  color: #cfd6ff;
  margin-top: 4px;
}

.stepform-circle {
  width: 22px;
  height: 22px;
  border-radius: 50%;
  border: 2px solid #4c5ca8;
  display: flex;
  align-items: center;
  justify-content: center;
}

.stepform-steps li.completed .stepform-circle {
  background: #18c964;
  border-color: #18c964;
  color: #fff;
  width: 27px;
  max-width: 22px;
}
.stepform-steps li.completed .stepform-circle::after {
  content: "✓";
  font-weight: bold;
}

/* ================= CONTENT ================= */

.stepform-content {
  flex: 1;
  background: #f7f8fc;
  display: flex;
  flex-direction: column;
}

.stepform-header {
  padding: 10px 30px;
  background: #fff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #eee;
}

.stepform-header h2 {
  margin: 0;
  font-size: 18px;
}

.stepform-body {
  flex: 1;
  padding: 30px;
  position: relative;
  overflow: hidden scroll;
}

.stepform-page {
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  opacity: 0;
  transform: translateX(40px);
  transition: 0.4s ease;
}
.logo-section {
  position: relative;
  width: 100%;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
}

.logo-section::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(255, 255, 255, 0.85); /* white overlay */
}

.stepform-card.selected .logo-section::before {
  background: rgb(238 241 255 / 85%);
}

.stepform-page.active {
  opacity: 1;
  transform: translateX(0);
  position: relative;
  z-index: 999999999999999;
  height: 100%;
}

.stepform-footer {
  padding: 10px 30px;
  background: #fff;
  text-align: right;
  border-top: 1px solid #eee;
}
button[name="btnCreateBooking"],
.stepform-btn {
  background: #2e4cff;
  color: #fff;
  border: none;
  padding: 12px 28px !important;
  border-radius: 8px !important;
  cursor: pointer;
  font-weight: 600 !important;
}

/* ================= CARDS ================= */

.stepform-card {
  background: #fff;
  padding: 18px;
  border-radius: 10px;
  margin-bottom: 12px;
  border: 1px solid #e4e7f2;
  cursor: pointer;
  transition: 0.2s;
}

.stepform-card i:before {
  color: #1246d6;
}

.stepform-card.selected {
  border-color: #2e4cff;
  background: #eef1ff;
}

/* ================= TICKETS ================= */

.stepform-ticket {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #fff;
  padding: 18px;
  border-radius: 10px;
  border: 1px solid #e4e7f2;
  margin-bottom: 12px;
}

.stepform-qty {
  display: flex;
  align-items: center;
  gap: 10px;
  background: #f3f4f8;
  padding: 6px 12px;
  border-radius: 8px;
}

.stepform-qty button {
  border: none;
  background: none;
  font-size: 18px;
  cursor: pointer;
}

.stepform-qty span {
  width: 20px;
  text-align: center;
}

/* ================= INPUTS ================= */

.stepform-input input {
  padding: 12px;
  border-radius: 8px;
  border: 1px solid #d6d9e0;
  margin-top: 5px;
}

.payment-status-container {
  width: 70%;
  background-color: #80808014;
  border-radius: 10px;
  text-align: center;
  padding: 15px;
  margin: 10px auto;
}
.fa-spin {
  -webkit-animation: fa-spin 2s infinite linear;
  animation: fa-spin 2s infinite linear;
}

/* ================= MOBILE ================= */

@media (max-width: 768px) {
  .stepform-container {
    width: 100%;
    height: 100%;
    border-radius: 0;
  }

  .stepform-sidebar {
    width: 70px;
    padding: 15px 8px;
  }

  .stepform-step-text {
    display: none;
  }

  .stepform-steps li {
    justify-content: center;
  }

  .stepform-step-left {
    justify-content: center;
  }

  .stepform-circle {
    position: fixed;
    width: 11px !important;
    height: 11px !important;
    margin-top: 14px;
    margin-left: 14px;
  }
  .stepform-steps li.completed .stepform-circle::after {
    font-size: 6px;
  }
  .stepform-card,
  .stepform-body {
    padding: 10px;
  }
}
.scrolling-text-container {
  color: #ffffff;
  overflow: hidden;
  background: #ffffff6e;
}
.scrolling-text-container h1 {
  font-weight: bold;
  font-size: 35px;
  color: #002c11;
}
/* Inner container styles */
.scrolling-text-inner {
  display: flex;
  white-space: nowrap;
  font-size: 16px;
  font-weight: 600;
  padding: 8px 0;
}

/* Text styles */
.scrolling-text {
  display: flex;
}

.scrolling-text-item {
  padding: 0 15px;
}
.scrolling-text-item img {
  width: 120px;
}
/* Apply the animation to the text items */
.scrolling-text-inner > div {
  animation: var(--direction) var(--marquee-speed) linear infinite;
}

/* Pause the animation when a user hovers over it */
.scrolling-text-container:hover .scrolling-text-inner > div {
  animation-play-state: paused;
}

/* Setting the Animation using Keyframes */
@keyframes scroll-left {
  0% {
    transform: translateX(0%);
  }

  100% {
    transform: translateX(-100%);
  }
}

@keyframes scroll-right {
  0% {
    transform: translateX(-100%);
  }

  100% {
    transform: translateX(0%);
  }
}
.whatsapp-float {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 60px;
  height: 60px;
  background: #25d366;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
  z-index: 9999;
  transition: 0.3s ease;
  text-decoration: none;
}

.whatsapp-float:hover {
  transform: scale(1.1);
}

.whatsapp-float svg {
  width: 32px;
  height: 32px;
}
